# jBrain, a small lang for 🧠 people
jBrain is a very small hybrid language (such as Java, Kotlin, Scala, Groovy...) programmed entirely in Rust. Here's an example, a hello world program in jBrain:
```
PUSH 72  //Adding H
PUSH 101 //Adding e
PUSH 108 //Adding l
PUSH 108 //Adding l
PUSH 111 //Adding o
STROUT   //Prints Hello
NEWLINE  //Prints a new line
MEMFREE  //Frees the memory

PUSH 87  //Adding W
PUSH 111 //Adding o
PUSH 114 //Adding r
PUSH 108 //Adding l
PUSH 100 //Adding d
STROUT   //Prints World
EXIT     //Ends the program
```

As you see, jBrain is a very wordy language, because it has got (in jBrain v0.1.2) only 36 actions. 

## How can I install jBrainVM?
If you want to install jBrain, you have 3 options, if you use windows can visit our web (jbrain-lang.top.mx) and get the binaries in the Downloads page. 

If you use another OS, you can get the source code as a tarball and build it by cargo build:
```bash
wget https://hdb-cloud.netlify.app/archive/jBrain/last/jBrain.tgz
tar xvf jBrain.tgz
cd jBrain-X.X.x/jbrain #Replace X.X.x with jBrain version
cargo build
```

Or install jBrain via the cargo package manager:
```bash
cargo install jBrain
``` 

If you liked this repo, you can share it with your friends, this would help us so much 😊.